<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services;

use App\Repositories\Contracts\SysLogRepository;
use App\Repositories\Enums\LogEnum;

class SysLogService
{
    protected $sysLogRepository = null;

    public function __construct(SysLogRepository $sysLogRepository)
    {
       $this->sysLogRepository = $sysLogRepository;
    }

    public function addOperationLogs($logsContent)
    {
        $context = [
            'content' => $logsContent,
            'optime' => microtime(true),
        ];
        logger_async(LogEnum::SYSTEM_OPERATION, $context)
            ->onConnection(\config('logging.request.connection'))
            ->onQueue(\config('logging.request.queue'));
    }

    public function addApiLogs($logsContent)
    {
        $context = [
            'content' => $logsContent,
            'optime' => microtime(true),
        ];
        logger_async(LogEnum::SYSTEM_API, $context)
            ->onConnection(\config('logging.request.connection'))
            ->onQueue(\config('logging.request.queue'));
    }

}
