<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services\ThirdPlatform;

use App\Repositories\Contracts\ThirdApiPlatformRepository;

abstract class PlatformAbstractService
{

    protected $thirdApiPlatformRepository = null;
    protected $platformName = '';
    protected $platformInfo = null;

    public function __construct(ThirdApiPlatformRepository $thirdApiPlatformRepository)
    {
        $this->thirdApiPlatformRepository = $thirdApiPlatformRepository;
        //app(ThirdApiPlatformRepository::class)->getPlatformInfoByPlatformName($this->platformName);
    }

    protected function setPlatformName($platformName){
        $this->platformName = $platformName;
    }

    /**
     * 根据平台名称查询平台的状态（关闭或开启）
     * @param $platformName
     */
    protected function checkApiPlatformStatus($platformName)
    {
        $status = false;
        $platformStatus = $this->getPlatformInfo($platformName);
        if($platformStatus){
            $status = $platformStatus['platform_status'] == 1 ? true : false;
        }
        return $status;
    }

    protected function getPlatformInfo($platformName)
    {
        if($this->platformInfo == null){
            $platform = $this->thirdApiPlatformRepository->getPlatformInfoByPlatformName($platformName);
            if(!$platform){
                return null;
            }
            $platform['platform_params'] = json_decode($platform['platform_params'], true);
            $this->platformInfo = $platform;
        }
        return $this->platformInfo;
    }

    protected function batchUpdateProducts()
    {
    }

    protected function batchUpdateApi($apiParams)
    {
    }

}
