<?php

use Illuminate\Database\Seeder;

use Illuminate\Support\Facades\DB;
use Spatie\Permission\Models\Role;

class ThridApiPlatformSeeder extends Seeder
{
    use \App\Support\Traits\Helpers;

    protected $thirdapiplatform = [
        [
            'platform_name' => 'integle',
            'platform_title' => 'integle',
            'platform_url' => 'http://suppliers.integle.com',
            'platform_desc' => 'integle 接口平台',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
        [
            'platform_name' => 'wuxi_appTec',
            'platform_title' => '药明康德',
            'platform_url' => 'https://api.uploadcatalog.com',
            'platform_desc' => '药明康德接口平台',
            'platform_icon' => '',
            'platform_params' => '',
            'platform_type' => 'third',
            'platform_status' => '1',
            'platform_token' => '',
        ],
    ];


    public function run()
    {
        try{
            DB::beginTransaction();

            $thirdApiPlatformRepo = app(\App\Repositories\Eloquent\ThirdApiPlatformRepositoryEloquent::class);

            foreach($this->thirdapiplatform as $platform){

                switch($platform['platform_name']){
                    case "integle" :
                        $platform['platform_params'] = json_encode([
                            'ak' => '2irXmYG_TMa120jd_WhryIkBWsxCFeNG',
                            'batchNums' => '500'
                        ]);
                        break;
                    case "wuxi_appTec" :
                        $platform['platform_params'] = json_encode([
                            'username' => '790087059@qq.com',
                            'password' => 'YXH1992xb',
                            'auth' => 'dGVzdDEyMzpwYXNzNDU2',
                            'batchNums' => '500'
                        ]);
                        break;
                }
                $platform['platform_type'] = 'third';
                $platform['platform_status'] = '1';
                $platform['platform_token'] = $this->randomFromDevice(16);
                $platform['created_at'] = date('Y-m-d H:i:s',time());
                $platform['updated_at'] = date('Y-m-d H:i:s',time());

                $thirdApiPlatformRepo->updateOrCreate($platform);

            }
            DB::commit();

            $this->command->getOutput()->info('初始化数据成功.');

        }catch(Exception $e){
            $this->command->getOutput()->error('初始化数据失败，原因：'.$e->getMessage());
            DB::rollback();
        }

    }
}
