<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    $api->group(['namespace'=>'App\Http\Controllers\V1','middleware' => ['api.auth','permissions'], 'providers' => 'jwt'], function($api) {

        // 百化采购订单
        $api->get('/adminapi/tools/bh/searchBhPorders', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@searchPorders']);
        $api->post('/adminapi/tools/bh/editBhPorders', ['permission' => 'tools.bh.order.edit', 'uses'=>'BhOrdersController@editBhPorders']);

        // 百化销售订单
        $api->post('/adminapi/tools/bh/addSorderRefundTask', ['permission' => 'tools.bh.order.add', 'uses'=>'BhOrdersController@addSorderRefundTask']);
        $api->post('/adminapi/tools/bh/editSorderRefundTask', ['permission' => 'tools.bh.order.add', 'uses'=>'BhOrdersController@editSorderRefundTask']);
        $api->post('/adminapi/tools/bh/getBhSordersDetail', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@getBhSordersDetail']);
        $api->get('/adminapi/tools/bh/getBhSorderRefundTask', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@getBhSorderRefundTaskToPage']);
        $api->post('/adminapi/tools/bh/execBhSorderRefundTask', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@execBhSorderRefundTask']);
        $api->get('/adminapi/tools/bh/getSorderRefundTaskLogs', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@getSorderRefundTaskLogsToPage']);
        $api->post('/adminapi/tools/bh/delSorderRefundTask', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@delSorderRefundTask']);
        $api->post('/adminapi/tools/bh/getSorderDetailByTaskId', ['permission' => 'tools.bh.order.search', 'uses'=>'BhOrdersController@getSorderDetailByTaskId']);

        // 罗恩销售订单
        $api->post('/adminapi/tools/rhawn/addSorderRefundTask', ['permission' => 'tools.rhawn.order.add', 'uses'=>'RhawnOrdersController@addSorderRefundTask']);
        $api->post('/adminapi/tools/rhawn/editSorderRefundTask', ['permission' => 'tools.rhawn.order.add', 'uses'=>'RhawnOrdersController@editSorderRefundTask']);
        $api->post('/adminapi/tools/rhawn/getSordersDetail', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@getSordersDetail']);
        $api->get('/adminapi/tools/rhawn/getRhawnSordersStock', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@getRhawnSordersStock']);
        $api->get('/adminapi/tools/rhawn/getSorderRefundTask', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@getSorderRefundTaskToPage']);
        $api->post('/adminapi/tools/rhawn/execRhawnSorderRefundTask', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@execRhawnSorderRefundTask']);
        $api->get('/adminapi/tools/rhawn/getSorderRefundTaskLogs', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@getSorderRefundTaskLogsToPage']);
        $api->post('/adminapi/tools/rhawn/delSorderRefundTask', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@delSorderRefundTask']);
        $api->post('/adminapi/tools/rhawn/getSorderDetailByTaskId', ['permission' => 'tools.rhawn.order.search', 'uses'=>'RhawnOrdersController@getSorderDetailByTaskId']);

    });

});

